import * as React from "react";
import { FormCategoryClassNameContract } from "../class-name-contracts/";
import { ManagedJSSProps } from "@microsoft/fast-jss-manager-react";
/**
 * Select state interface
 */
export interface FormCategoryProps {
    /**
     * Passes the category title
     */
    title: string;
    /**
     * Is the category expandable
     */
    expandable?: boolean;
    /**
     * Passes the id
     */
    id?: string;
}
export interface FormCategoryState {
    expanded?: boolean;
}
declare const _default: React.ComponentClass<ManagedJSSProps<FormCategoryProps, FormCategoryClassNameContract, {}>, any>;
export default _default;
