import * as React from "react";
import FormItemCommon from "./form-item";
/**
 * Schema form component definition
 * This is the base component for form item components.
 * @extends React.Component
 */
declare abstract class FormItemBase<P, S> extends React.Component<P & FormItemCommon, S> {
    private cache;
    renderSoftRemove(className: string): React.ReactNode;
    handleSoftRemove: () => void;
}
export default FormItemBase;
