import * as React from "react";
import FormItemCommon from "./form-item";
import { FormItemNumberFieldClassNameContract } from "../class-name-contracts/";
import { ManagedJSSProps } from "@microsoft/fast-jss-manager-react";
export interface FormItemNumberFieldProps extends FormItemCommon {
    /**
     * The minimum value allowed
     */
    min?: number;
    /**
     * The maximum value allowed
     */
    max?: number;
    /**
     * The increment between steps
     */
    step?: number;
}
declare const _default: React.ComponentClass<ManagedJSSProps<FormItemNumberFieldProps & FormItemCommon, FormItemNumberFieldClassNameContract, {}>, any>;
export default _default;
