import * as React from "react";
import FormItemCommon from "./form-item";
import { FormItemSelectClassNameContract } from "../class-name-contracts/";
import { ManagedJSSProps } from "@microsoft/fast-jss-manager-react";
/**
 * Select state interface
 */
export interface FormItemSelectProps extends FormItemCommon {
    /**
     * The select options
     */
    options: any[];
}
declare const _default: React.ComponentClass<ManagedJSSProps<FormItemSelectProps & FormItemCommon, FormItemSelectClassNameContract, {}>, any>;
export default _default;
