import { disabledOpacity } from "./form.constants.style";
import { applyControl, applyControlWrapper, applyLabelStyle, applySelectInputStyles, applySelectSpanStyles, applySoftRemove, applySoftRemoveInput, } from "./form.utilities.style";
const styles = {
    formItemSelect: Object.assign({ display: "flex" }, applyControlWrapper()),
    formItemSelect_control: Object.assign({}, applyControl()),
    formItemSelect_controlLabel: Object.assign({}, applyLabelStyle()),
    formItemSelect_controlSpan: Object.assign({}, applySelectSpanStyles()),
    formItemSelect_controlSpan__disabled: {
        opacity: `${disabledOpacity}`,
    },
    formItemSelect_controlInput: Object.assign({}, applySelectInputStyles()),
    formItemSelect_softRemove: Object.assign({}, applySoftRemove()),
    formItemSelect_softRemoveInput: Object.assign({}, applySoftRemoveInput()),
};
export default styles;
