export class FormPlugin {
    constructor(config) {
        this.config = config;
        this.config.id = Array.isArray(this.config.id)
            ? this.config.id
            : [this.config.id];
    }
    /**
     * Determines if there is a match for the IDs set for the plugin
     * and a provided ID
     */
    matches(id) {
        return this.config.id.indexOf(id) !== -1;
    }
    /**
     * Resolves the schema partial given
     */
    /* tslint:disable-next-line */
    resolver(schema, data) { }
}
