/**
 * Gets the array link data
 */
export function getArrayLinks(data) {
    if (Array.isArray(data)) {
        return data.map((item, index) => {
            const defaultValue = `Item ${index + 1}`;
            switch (typeof item) {
                case "object":
                    return item.text || defaultValue;
                case "string":
                    return item;
                default:
                    return defaultValue;
            }
        });
    }
    else {
        return [];
    }
}
