import * as React from "react";
import FormItemCommon from "./form-item";
import { FormItemSectionLinkClassNameContract } from "../class-name-contracts";
import { ManagedJSSProps } from "@microsoft/fast-jss-manager-react";
/**
 * SectionLink state interface
 */
export interface FormItemSectionLinkProps extends FormItemCommon {
    /**
     * The schema location
     */
    schemaLocation: string;
    /**
     * The update section callback
     */
    onUpdateSection: (schemaLocation: string, dataLocation: string) => void;
}
declare const _default: React.ComponentClass<ManagedJSSProps<FormItemSectionLinkProps & FormItemCommon, FormItemSectionLinkClassNameContract, {}>, any>;
export default _default;
