import * as React from "react";
import styles from "./form-item.section-link.style";
import manageJss from "@microsoft/fast-jss-manager-react";
import FormItemBase from "./form-item.base";
/**
 * Schema form component definition
 * @extends React.Component
 */
/* tslint:disable-next-line */
class FormItemSectionLink extends FormItemBase {
    constructor() {
        super(...arguments);
        this.handleUpdateSection = (e) => {
            if (this.props.data === undefined) {
                this.props.onChange(this.props.dataLocation, {});
            }
            this.props.onUpdateSection(this.props.schemaLocation, this.props.dataLocation);
        };
    }
    /**
     * Renders the component
     */
    render() {
        return (React.createElement("div", { className: this.props.managedClasses.formItemSectionLink },
            React.createElement("a", { className: this.props.managedClasses.formItemSectionLink_anchor, onClick: this.handleUpdateSection }, this.props.label),
            React.createElement("div", { className: this.props.managedClasses.formItemSectionLink_softRemove }, this.renderSoftRemove(this.props.managedClasses.formItemSectionLink_softRemoveInput))));
    }
}
FormItemSectionLink.displayName = "FormItemSectionLink";
export default manageJss(styles)(FormItemSectionLink);
