import * as React from "react";
import FormItemCommon from "./form-item";
import { FormItemTextareaClassNameContract } from "../class-name-contracts/";
import { ManagedJSSProps } from "@microsoft/fast-jss-manager-react";
export interface FormItemTextareaProps extends FormItemCommon {
    /**
     * The unique index for the section
     */
    index: number;
    /**
     * The number of rows to assign to the textarea
     */
    rows?: number;
}
declare const _default: React.ComponentClass<ManagedJSSProps<FormItemTextareaProps & FormItemCommon, FormItemTextareaClassNameContract, {}>, any>;
export default _default;
