/**
 * Get the string value of a number
 */
function getStringFromData(data) {
    if (typeof data === "number") {
        return data.toString();
    }
    return data || "";
}
export function getStringValue(data, defaultData) {
    return typeof data === "string" || typeof data === "number"
        ? getStringFromData(data)
        : getStringFromData(defaultData);
}
