import { FormPlugin, FormPluginProps } from "../plugin";
export interface FormPluginLocation {
    /**
     * The lodash path location of the schema partial
     * to be interpreted by the plugin
     */
    schemaLocation: string;
    /**
     * The schema related to the data location
     */
    schema: any;
}
/**
 *
 */
export declare function mapPluginsToSchema(schema: any, data: any, plugins?: Array<FormPlugin<FormPluginProps>>): any;
/**
 * Finds the schema locations of types mapped to plugins
 */
export declare function getSchemaLocationsOfPlugins(schema: any, schemaLocationPrefix?: string): FormPluginLocation[];
